Category:Plugins requiring privileges

From collectd Wiki
Jump to: navigation, search

List of plugins which require special privileges. Usually they need to open a raw socket or a netlink socket.

The purpose of this list is help to determine how to deal with those plugins. If possible, we'd like to be able to “drop” privileges after collectd has started up, in order to minimize security risks. Under Linux an alternative mechanism might be to only provide required capabilities(7).

Pages in category "Plugins requiring privileges"

The following 4 pages are in this category, out of 4 total.

Personal tools
Namespaces

Variants
Actions
Navigation
Tools